# -*- coding: utf-8 -*-
from PyQt5 import QtWidgets, QtCore
import sys

# Функция создания страницы регистрации
def createRegistrationPage():
    # Создание страницы регистрации
    page = QtWidgets.QWizardPage()
    page.setTitle("Регистрация")

    label = QtWidgets.QLabel("Здесь Вы регистрируетесь.")
    label.setWordWrap(True)

    layout = QtWidgets.QVBoxLayout()
    layout.addWidget(label)
    page.setLayout(layout)

    return page

# Функция создания начальной страницы
def createIntroPage():
    page = QtWidgets.QWizardPage()
    page.setTitle("Начало")

    label = QtWidgets.QLabel("На следующей странице Вам нужно будет зарегистрироваться.")
    label.setWordWrap(True)

    layout = QtWidgets.QVBoxLayout()
    layout.addWidget(label)
    page.setLayout(layout)

    return page

# Функция создания завершающей страницы
def createConclusionPage():
    page = QtWidgets.QWizardPage()
    page.setTitle("Результат")

    label = QtWidgets.QLabel("Вы успешно зарегистрировались. Хорошего дня!")
    label.setWordWrap(True)

    layout = QtWidgets.QVBoxLayout()
    layout.addWidget(label)
    page.setLayout(layout)

    return page

if __name__ == '__main__':

    import sys

    app = QtWidgets.QApplication(sys.argv)

    wizard = QtWidgets.QWizard()
    wizard.addPage(createIntroPage())
    wizard.addPage(createRegistrationPage())
    wizard.addPage(createConclusionPage())

    wizard.setWindowTitle("Простейший Wizard")
    wizard.show()

    sys.exit(app.exec_())
